{{ header }}{{ column_left }}
<div id="content">
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <button type="submit" form="form-payment" data-toggle="tooltip" title="{{ button_save }}" class="btn btn-primary"><i class="fa fa-save"></i></button>
                <a href="{{ cancel }}" data-toggle="tooltip" title="{{ button_cancel }}" class="btn btn-default"><i class="fa fa-reply"></i></a>
            </div>
            <h1>{{ heading_title }}</h1>
            <ul class="breadcrumb">
                {% for breadcrumb in breadcrumbs %}
                    <li><a href="{{ breadcrumb.href }}">{{ breadcrumb.text }}</a></li>
                {% endfor %}
            </ul>
        </div>
    </div>
    <div class="container-fluid">
        {% if error_warning %}
            <div class="alert alert-danger alert-dismissible"><i class="fa fa-exclamation-circle"></i> {{ error_warning }}
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        {% endif %}
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-pencil"></i> {{ text_edit }}</h3>
            </div>
            <div class="panel-body">
                <form action="{{ action }}" method="post" enctype="multipart/form-data" id="form-payment"
                      class="form-horizontal">
                    <ul class="nav nav-tabs">
                        <li class="active"><a href="#tab-settings" data-toggle="tab">{{ tab_settings }}</a></li>
                        <li><a href="#tab-order_status" data-toggle="tab">{{ tab_order_status }}</a></li>
                        <li><a href="#tab-notifications" data-toggle="tab">{{ tab_notifications }}</a></li>
                    </ul>
                    <div class="tab-content">
                        <div class="tab-pane active" id="tab-settings">
                            <fieldset>
                                <legend>{{ text_general }}</legend>
                                <div class="form-group required">
                                    <label class="col-sm-2 control-label" for="entry-public_id">
                                        <span data-toggle="tooltip" title="{{ help_public_id }}">{{ entry_public_id }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_tiptoppay_public_id"
                                               value="{{ payment_tiptoppay_public_id }}"
                                               placeholder="{{ entry_public_id }}"
                                               autocomplete="off"
                                               id="entry-public_id" class="form-control"/>
                                        {% if error_public_id %}
                                            <div class="text-danger">{{ error_public_id }}</div>
                                        {% endif %}
                                    </div>
                                </div>
                                <div class="form-group required">
                                    <label class="col-sm-2 control-label" for="entry-secret_key">
                                        <span data-toggle="tooltip" title="{{ help_secret_key }}">{{ entry_secret_key }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_tiptoppay_secret_key"
                                               value="{{ payment_tiptoppay_secret_key }}"
                                               placeholder="{{ entry_secret_key }}"
                                               autocomplete="off"
                                               id="entry-secret_key" class="form-control"/>
                                        {% if error_secret_key %}
                                            <div class="text-danger">{{ error_secret_key }}</div>
                                        {% endif %}
                                    </div>
                                </div>

                                <!--Two-steps-->
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="entry-two_steps">
                                        <span data-toggle="tooltip" title="{{ help_two_steps }}">{{ entry_two_steps }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        <select name="payment_tiptoppay_two_steps" id="entry-two_steps"
                                                class="form-control">
                                            {% if payment_tiptoppay_two_steps %}
                                                <option value="1" selected="selected">{{ text_enabled }}</option>
                                                <option value="0">{{ text_disabled }}</option>
                                            {% else %}
                                                <option value="1">{{ text_enabled }}</option>
                                                <option value="0" selected="selected">{{ text_disabled }}</option>
                                            {% endif %}
                                        </select>
                                    </div>
                                </div>
                                
                                <!--skin-->
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="entry-skin">
                                        <span data-toggle="tooltip" title="{{ help_skin }}">{{ entry_skin }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        <select name="payment_tiptoppay_skin" id="entry-skin"
                                                class="form-control">
                                            {% for i,v in skin_values %}
                                                <option value="{{ i }}" {% if payment_tiptoppay_skin == i and payment_tiptoppay_skin|length %}selected{% endif %}>{{ v }}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                
                                <!--currency
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="entry-currency">
                                        <span data-toggle="tooltip" title="{{ help_currency }}">{{ entry_currency }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        <select name="payment_tiptoppay_currency" id="entry-currency"
                                                class="form-control">
                                            {% for i,v in currency_values %}
                                                <option value="{{ i }}" {% if payment_tiptoppay_currency == i and payment_tiptoppay_currency|length %}selected{% endif %}>{{ v }}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>-->

                                <!--language-->
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="entry-language">
                                        <span data-toggle="tooltip" title="{{ help_language }}">{{ entry_language }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        <select name="payment_tiptoppay_language" id="entry-language"
                                                class="form-control">
                                            {% for i,v in language_values %}
                                                <option value="{{ i }}" {% if payment_tiptoppay_language == i and payment_tiptoppay_language|length %}selected{% endif %}>{{ v }}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>

                                <!--Standard options -->
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="entry-geo-zone">{{ entry_geo_zone }}</label>
                                    <div class="col-sm-10">
                                        <select name="payment_tiptoppay_geo_zone_id" id="entry-geo-zone" class="form-control">
                                            <option value="0">{{ text_all_zones }}</option>
                                            {% for geo_zone in geo_zones %}
                                                {% if geo_zone.geo_zone_id == payment_tiptoppay_geo_zone_id %}
                                                    <option value="{{ geo_zone.geo_zone_id }}" selected="selected">{{ geo_zone.name }}</option>
                                                {% else %}
                                                    <option value="{{ geo_zone.geo_zone_id }}">{{ geo_zone.name }}</option>
                                                {% endif %}
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="entry-sort_order">{{ entry_sort_order }}</label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_tiptoppay_sort_order"
                                               value="{{ payment_tiptoppay_sort_order }}"
                                               placeholder="{{ entry_sort_order }}"
                                               autocomplete="off"
                                               id="entry-sort_order" class="form-control"/>
                                        {% if error_sort_order %}
                                            <div class="text-danger">{{ error_sort_order }}</div>
                                        {% endif %}
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="entry-total"><span data-toggle="tooltip" title="{{ help_total }}">{{ entry_total }}</span></label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_tiptoppay_total"
                                               value="{{ payment_tiptoppay_total }}"
                                               placeholder="{{ entry_total }}"
                                               id="entry-total" class="form-control" />
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="entry-status">{{ entry_status }}</label>
                                    <div class="col-sm-10">
                                        <select name="payment_tiptoppay_status" id="entry-status" class="form-control">
                                            {% if payment_tiptoppay_status %}
                                                <option value="1" selected="selected">{{ text_enabled }}</option>
                                                <option value="0">{{ text_disabled }}</option>
                                            {% else %}
                                                <option value="1">{{ text_enabled }}</option>
                                                <option value="0" selected="selected">{{ text_disabled }}</option>
                                            {% endif %}
                                        </select>
                                    </div>
                                </div>

                            </fieldset>
                            <fieldset>
                                <legend>{{ text_kkt }}</legend>
                                <!--KKT-->
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="entry-kkt">
                                        <span data-toggle="tooltip" title="{{ help_kkt }}">{{ entry_kkt }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        <select name="payment_tiptoppay_kkt" id="entry-kkt" class="form-control">
                                            {% if payment_tiptoppay_kkt %}
                                                <option value="1" selected="selected">{{ text_enabled }}</option>
                                                <option value="0">{{ text_disabled }}</option>
                                            {% else %}
                                                <option value="1">{{ text_enabled }}</option>
                                                <option value="0" selected="selected">{{ text_disabled }}</option>
                                            {% endif %}
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="entry-taxation_system">
                                        <span data-toggle="tooltip" title="{{ help_taxation_system }}">{{ entry_taxation_system }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        <select name="payment_tiptoppay_taxation_system" id="entry-taxation_system" class="form-control">
                                            {% for i,v in taxation_systems %}
                                                <option value="{{ i }}" {% if payment_tiptoppay_taxation_system == i %}selected{% endif %}>{{ v }}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="entry-vat">
                                        <span data-toggle="tooltip" title="{{ help_vat }}">{{ entry_vat }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        <select name="payment_tiptoppay_vat" id="entry-vat"
                                                class="form-control">
                                            <option value="" {% if payment_tiptoppay_vat is empty %}selected{% endif %}>{{ text_vat_none }}</option>
                                            {% for i,v in vat_values %}
                                                <option value="{{ i }}" {% if payment_tiptoppay_vat == i and payment_tiptoppay_vat|length %}selected{% endif %}>{{ v }}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="entry-vat_delivery">
                                        <span data-toggle="tooltip" title="{{ help_vat_delivery }}">{{ entry_vat_delivery }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        <select name="payment_tiptoppay_vat_delivery" id="entry-vat_delivery"
                                                class="form-control">
                                            <option value="" {% if payment_tiptoppay_vat_delivery is empty %}selected{% endif %}>{{ text_vat_none }}</option>
                                            {% for i,v in vat_values %}
                                                <option value="{{ i }}" {% if payment_tiptoppay_vat_delivery == i and payment_tiptoppay_vat_delivery|length %}selected{% endif %}>{{ v }}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="entry-kassa_method">
                                        <span data-toggle="tooltip" title="{{ help_kassa_method }}">{{ entry_kassa_method }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        <select name="payment_tiptoppay_kassa_method" id="entry-kassa_method"
                                                class="form-control">
                                            {% for i,v in kassa_method %}
                                                <option value="{{ i }}" {% if payment_tiptoppay_kassa_method == i and payment_tiptoppay_kassa_method|length %}selected{% endif %}>{{ v }}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="entry-kassa_object">
                                        <span data-toggle="tooltip" title="{{ help_kassa_object }}">{{ entry_kassa_object }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        <select name="payment_tiptoppay_kassa_object" id="entry-kassa_object"
                                                class="form-control">
                                            {% for i,v in kassa_object %}
                                                <option value="{{ i }}" {% if payment_tiptoppay_kassa_object == i and payment_tiptoppay_kassa_object|length %}selected{% endif %}>{{ v }}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="entry-inn">
                                        <span data-toggle="tooltip" title="{{ help_inn }}">{{ entry_inn }}</span>
                                    </label>
                                    <div class="col-sm-10">
                                        <input type="text" name="payment_tiptoppay_inn"
                                               value="{{ payment_tiptoppay_inn }}"
                                               placeholder="{{ entry_inn }}"
                                               id="entry-inn" class="form-control"/>
                                    </div>
                                </div>

{#                                <div class="form-group">#}
{#                                    <label class="col-sm-2 control-label" for="entry-shipping_spic">#}
{#                                        <span data-toggle="tooltip" title="{{ help_shipping_spic }}">{{ entry_shipping_spic }}</span>#}
{#                                    </label>#}
{#                                    <div class="col-sm-10">#}
{#                                        <input type="text" name="payment_tiptoppay_shipping_spic"#}
{#                                               value="{{ payment_tiptoppay_shipping_spic }}"#}
{#                                               placeholder="{{ entry_shipping_spic }}"#}
{#                                               id="entry-shipping_spic" class="form-control"/>#}
{#                                    </div>#}
{#                                </div>#}

{#                                <div class="form-group">#}
{#                                    <label class="col-sm-2 control-label" for="entry-shipping_package_code">#}
{#                                        <span data-toggle="tooltip" title="{{ help_shipping_package_code }}">{{ entry_shipping_package_code }}</span>#}
{#                                    </label>#}
{#                                    <div class="col-sm-10">#}
{#                                        <input type="text" name="payment_tiptoppay_shipping_package_code"#}
{#                                               value="{{ payment_tiptoppay_shipping_package_code }}"#}
{#                                               placeholder="{{ entry_shipping_package_code }}"#}
{#                                               id="entry-shipping_package_code" class="form-control"/>#}
{#                                    </div>#}
{#                                </div>#}
                                
                            </fieldset>
                        </div>
                        <div class="tab-pane" id="tab-order_status">
                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="entry-order_status_pay">
                                    <span data-toggle="tooltip" title="{{ help_order_status_pay }}">{{ entry_order_status_pay }}</span>
                                </label>
                                <div class="col-sm-10">
                                    <select name="payment_tiptoppay_order_status_pay" id="entry-order_status_pay"
                                            class="form-control">
                                        {% for status in order_statuses %}
                                            <option value="{{ status.order_status_id }}" {% if payment_tiptoppay_order_status_pay == status.order_status_id %}selected{% endif %}>{{ status.name }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="entry-order_status_auth">
                                    <span data-toggle="tooltip" title="{{ help_order_status_auth }}">{{ entry_order_status_auth }}</span>
                                </label>
                                <div class="col-sm-10">
                                    <select name="payment_tiptoppay_order_status_auth" id="entry-order_status_auth"
                                            class="form-control status-container">
                                        {% for status in order_statuses %}
                                            <option value="{{ status.order_status_id }}" {% if payment_tiptoppay_order_status_auth == status.order_status_id %}selected{% endif %}>{{ status.name }}</option>
                                        {% endfor %}
                                    </select>
                                    <p>{{ text_status_auth_help }}</p>
                                    <p><a href="{{ add_status_url }}" target="_blank" class="btn btn-primary">{{ text_status_add_btn }}</a></p>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="entry-order_status_confirm">
                                    <span data-toggle="tooltip" title="{{ help_order_status_confirm }}">{{ entry_order_status_confirm }}</span>
                                </label>
                                <div class="col-sm-10">
                                    <select name="payment_tiptoppay_order_status_confirm" id="entry-order_status_confirm"
                                            class="form-control">
                                        {% for status in order_statuses %}
                                            <option value="{{ status.order_status_id }}" {% if payment_tiptoppay_order_status_confirm == status.order_status_id %}selected{% endif %}>{{ status.name }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="entry-order_status_refund">
                                    <span data-toggle="tooltip" title="{{ help_order_status_refund }}">{{ entry_order_status_refund }}</span>
                                </label>
                                <div class="col-sm-10">
                                    <select name="payment_tiptoppay_order_status_refund" id="entry-order_status_refund"
                                            class="form-control">
                                        {% for status in order_statuses %}
                                            <option value="{{ status.order_status_id }}" {% if payment_tiptoppay_order_status_refund == status.order_status_id %}selected{% endif %}>{{ status.name }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="entry-order_status_fail">
                                    <span data-toggle="tooltip" title="{{ help_order_status_fail }}">{{ entry_order_status_fail }}</span>
                                </label>
                                <div class="col-sm-10">
                                    <select name="payment_tiptoppay_order_status_fail" id="entry-order_status_fail"
                                            class="form-control">
                                        {% for status in order_statuses %}
                                            <option value="{{ status.order_status_id }}" {% if payment_tiptoppay_order_status_fail == status.order_status_id %}selected{% endif %}>{{ status.name }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="entry-status_delivered">
                                    <span data-toggle="tooltip" title="{{ help_status_delivered }}">{{ entry_status_delivered }}</span>
                                </label>
                                <div class="col-sm-10">
                                    <select name="payment_tiptoppay_status_delivered" id="entry-status_delivered"
                                            class="form-control">
                                        {% for status in order_statuses %}
                                            <option value="{{ status.order_status_id }}" {% if payment_tiptoppay_status_delivered == status.order_status_id %}selected{% endif %}>{{ status.name }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                            
                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="entry-order_status_for_confirm">
                                    <span data-toggle="tooltip" title="{{ help_order_status_for_confirm }}">{{ entry_order_status_for_confirm }}</span>
                                </label>
                                <div class="col-sm-10">
                                    <div class="well well-sm status-container" data-type="checkbox-list" data-name="payment_tiptoppay_order_status_for_confirm[]" style="height: 150px; overflow: auto;">
                                        {% for status in order_statuses %}
                                            <div class="checkbox">
                                                <label>
                                                    <input
                                                            type="checkbox"
                                                            name="payment_tiptoppay_order_status_for_confirm[]"
                                                            value="{{ status.order_status_id }}"
                                                            {% if status.order_status_id in payment_tiptoppay_order_status_for_confirm %}checked{% endif %}
                                                    />
                                                    {{ status.name }}
                                                </label>
                                            </div>
                                        {% endfor %}
                                    </div>
                                    <p>{{ text_status_confirm_help }}</p>
                                    <p><a href="{{ add_status_url }}" target="_blank" class="btn btn-primary">{{ text_status_add_btn }}</a></p>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="entry-order_status_for_cancel">
                                    <span data-toggle="tooltip" title="{{ help_order_status_for_cancel }}">{{ entry_order_status_for_cancel }}</span>
                                </label>
                                <div class="col-sm-10">
                                    <div class="well well-sm" style="height: 150px; overflow: auto;">
                                        {% for status in order_statuses %}
                                            <div class="checkbox">
                                                <label>
                                                    <input
                                                            type="checkbox"
                                                            name="payment_tiptoppay_order_status_for_cancel[]"
                                                            value="{{ status.order_status_id }}"
                                                            {% if status.order_status_id in payment_tiptoppay_order_status_for_cancel %}checked{% endif %}
                                                    />
                                                    {{ status.name }}
                                                </label>
                                            </div>
                                        {% endfor %}
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="entry-order_status_for_send_order_link">
                                    <span data-toggle="tooltip" title="{{ help_order_status_for_send_order_link }}">{{ entry_order_status_for_send_order_link }}</span>
                                </label>
                                <div class="col-sm-10">
                                    <div class="well well-sm" style="height: 150px; overflow: auto;">
                                        {% for status in order_statuses %}
                                            <div class="checkbox">
                                                <label>
                                                    <input
                                                            type="checkbox"
                                                            name="payment_tiptoppay_order_status_for_send_order_link[]"
                                                            value="{{ status.order_status_id }}"
                                                            {% if status.order_status_id in payment_tiptoppay_order_status_for_send_order_link %}checked{% endif %}
                                                    />
                                                    {{ status.name }}
                                                </label>
                                            </div>
                                        {% endfor %}
                                    </div>
                                </div>
                            </div>

                        </div>
                        <div class="tab-pane" id="tab-notifications">
                            <p>{{ help_notify_urls }}</p>
                            {% for type,notify in notify_urls %}
                                <div class="form-group">
                                    <label for="entry-notify-url-{{ type }}" class="col-sm-3 control-label">{{ notify.label }}</label>
                                    <div class="col-sm-9">
                                        <input id="entry-notify-url-{{ type }}" readonly class="form-control" value="{{ notify.url }}"/>
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
{{ footer }}